{% extends 'base.html' %}

{% block title %} Lista {% endblock %}

{% block content %}

<script type="text/javascript">

		$(document).ready(function(){
			console.log("Lista")
			$.ajax({
				url: "/alumnos/api_list",
				method: "GET",
				success: function(data){
					$.each(data, function(key, value){
						console.log(key, value.nombre)
					})
				},
				error: function(data){
					console.log("ERROR")
					console.log(data)
				}
			})
		});

	</script>

<h1> Lista Proyecto #1 </h1> 
<table class = 'table'>
	<th>Nombre</th>
	<th>Apellido Paterno</th>
	<th>Apellido Materno</th>
	<th>Detalles</th>
	<th>Update</th>
	<th>Delete</th>
	{% for item in list %}
	<tr>
		<td>{{item.nombre}}</td>
		<td>{{item.apellido_p}}</td>
		<td>{{item.apellido_m}}</td>
		<td><a href= "{% url 'detail' item.id%}"> Detalles </a></td>
		<td><a href= "{% url 'update' item.id%}"> Update </a></td>
		<td><a href= "{% url 'delete' item.id%}"> Delete </a></td>
	</tr>
	{% endfor %}
</table>
{% endblock %}